package repository

import (
	"electricity_bill_calc/logger"
	"github.com/doug-martin/goqu/v9"
	"go.uber.org/zap"
)

type _GodModRepository struct {
	log *zap.Logger
	ds  goqu.DialectWrapper
}

var GodModRepository = _GodModRepository{
	log: logger.Named("Repository", "GodMod"),
	ds:  goqu.Dialect("postgres"),
}

// 删除指定园区中的表计和商户的绑定关系
